> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the emission data of distance



## OpenAPI

````yaml openapi/findity-admin-api.json GET /carbonemissions/totaldistancedata
openapi: 3.1.0
info:
  title: Findity Admin API
  description: Findity Admin API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/admin
  - url: https://api.findity.com/api/v1/admin
security:
  - bearerAuth: []
paths:
  /carbonemissions/totaldistancedata:
    get:
      tags:
        - Carbon emissions
      summary: Get the emission data of distance
      operationId: getTotalDistanceData
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/fromDate'
        - $ref: '#/components/parameters/toDate'
        - $ref: '#/components/parameters/type'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DistanceEmissions'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
components:
  parameters:
    organizationId:
      in: query
      name: organizationId
      required: true
      description: The organization id of the carbon emissions
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    fromDate:
      in: query
      name: fromDate
      required: false
      description: Used for filtering
      schema:
        type: string
        format: date
      example: '2020-01-20'
    toDate:
      in: query
      name: toDate
      required: false
      description: Used for filtering
      schema:
        type: string
        format: date
      example: '2018-01-23'
    type:
      in: query
      name: type
      required: true
      description: The type of the emission. Required type for the travel tab is "travel"
      schema:
        type: string
        enum:
          - emissions
          - travel
      example: emissions
  schemas:
    DistanceEmissions:
      type: object
      properties:
        companyId:
          $ref: '#/components/schemas/Uuid'
          description: organization id
        companyName:
          type: string
          description: Name of organization
        totalEmission:
          type: number
          description: Total expense emissions in organization
        emissionUnit:
          type: string
          description: Unit of emission
        distance:
          type: number
          description: Total distance
        distanceUnit:
          type: string
          description: Unit of distance
        expenseCountCategory:
          type: integer
          description: Count of categories
        totalCategoryEmission:
          type: number
          description: Sum of category emissions
        emissionByCategory:
          type: array
          items:
            $ref: '#/components/schemas/CategoryDistanceEmissions'
      example:
        companyId: 11adfe2a080040e3892ffb89c21ec44e
        companyName: Company
        totalEmission: 100
        emissionUnit: kg
        distance: 100
        distanceUnit: km
        expenseCountCategory: 1
        totalCategoryEmission: 100
        emissionByCategory:
          - name: Category 1
            emissionPercentage: 50
            totalEmission: 50
            emissionUnit: kg
            expenseCount: 1
          - name: Category 2
            emissionPercentage: 50
            totalEmission: 50
            emissionUnit: kg
            expenseCount: 1
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
      example:
        result: error
        code: ORGANIZATION_NOT_FOUND
        description: 'Failed to get organization for id: {orgId}'
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
    CategoryDistanceEmissions:
      type: object
      properties:
        name:
          type: string
        emissionPercentage:
          type: number
        totalEmission:
          type: number
        emissionUnit:
          type: string
        expenseCount:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````